<!-- resources/views/spending/index.blade.php -->
@extends('theme::layouts.app')

@section('content')

<link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

    <div class="flex">
        <!-- Left Column: Filters -->
        <div class="w-3/12 p-4">
            <!-- Filters Form -->
            <form action="{{ route('wave.spending.search') }}" method="post">
                @csrf
                <!-- Award Type Checkboxes -->
                <div>
                    <label for="awardTypes" class="block font-bold mb-2">Award Types</label>
                    @foreach ($awardTypes as $type)
                        <label class="inline-flex items-center">
                            <input type="checkbox" name="awardTypes[]" value="{{ $type }}" class="mr-2">
                            {{ $type }}
                        </label>
                    @endforeach
                </div>

                <!-- Tabs: Financial Year or Date Range -->
                <div class="mt-4">
                    <label class="block font-bold mb-2">Filter By</label>
                    <div class="flex space-x-4">
                        <label class="inline-flex items-center">
                            <input type="radio" name="filterBy" value="financialYear" checked class="mr-2">
                            Financial Year
                        </label>
                        <label class="inline-flex items-center">
                            <input type="radio" name="filterBy" value="dateRange" class="mr-2">
                            Date Range
                        </label>
                    </div>
                </div>

                <!-- Financial Year Checkboxes -->
                <div class="mt-4">
                    <label for="financialYears" class="block font-bold mb-2">Financial Years</label>
                    @foreach ($financialYears as $year)
                        <label class="inline-flex items-center">
                            <input type="checkbox" name="financialYears[]" value="{{ $year }}" class="mr-2">
                            {{ $year }}
                        </label>
                    @endforeach
                </div>

                <!-- Keyword Textbox -->
                <div class="mt-4">
                    <label for="keyword" class="block font-bold mb-2">Keyword</label>
                    <input type="text" name="keyword" class="w-full p-2 border rounded-md" placeholder="Enter keyword">
                </div>

                <!-- Search Button -->
                <div class="mt-4">
                    <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Search</button>
                </div>
            </form>
        </div>

        <!-- Right Column: Results -->
        <div class="w-9/12 p-4">
            <!-- Results will be displayed here -->
            @yield('results')
        </div>
    </div>
@endsection
