<!-- resources/views/spending/results.blade.php -->

@extends('theme::spending.index')

@section('results')
    <h1 class="text-2xl font-bold mb-4">Search Results</h1>

    <!-- Display results from the API in cards -->
    @if(isset($data['results']))
        <div class="grid grid-cols-2 md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5 gap-4">
            @foreach($data['results'] as $result)
                <div class="border p-4 rounded-md">
                    <h2 class="text-lg font-semibold mb-2">{{ $result['name'] }}</h2>
                    <p><strong>Amount:</strong> {{ number_format($result['amount'] / 1000000, 2) }} million</p>
                </div>
            @endforeach
        </div>
    @else
        <p>No results found.</p>
    @endif
@endsection
