<!-- <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>SAM Data</title>
</head>
<body class="p-8"> -->

@extends('theme::layouts.app')

    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

    @section('content')
    <div class="container">
        <div class="row mb-3">
            <form action="{{ route('awards.index') }}" method="get" class="form-inline">
                @foreach($data['filters'] as $filter => $details)
                    <div class="form-group mr-2">
                        <label for="{{ $filter }}">{{ $details['label'] }}</label>
                        @if ($details['type'] === 'text')
                            <input type="text" name="{{ $filter }}" id="{{ $filter }}" class="form-control" value="{{ $filters[$filter] ?? '' }}">
                        @elseif ($details['type'] === 'date')
                            <input type="date" name="{{ $filter }}" id="{{ $filter }}" class="form-control" value="{{ $filters[$filter] ?? '' }}">
                        @elseif ($details['type'] === 'select')
                            <select name="{{ $filter }}" id="{{ $filter }}" class="form-control">
                                <option value="">Select {{ $details['label'] }}</option>
                                @foreach ($details['options'] as $option)
                                    <option value="{{ $option }}" @if(isset($filters[$filter]) && $filters[$filter] == $option) selected @endif>{{ $option }}</option>
                                @endforeach
                            </select>
                        @endif
                    </div>
                @endforeach
                <button type="submit" class="btn btn-primary">Filter</button>
            </form>
        </div>

        <div class="row">
            @foreach($data['results'] as $result)
                <div class="col-md-4 mb-3">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title">{{ $result['Recipient Name'] }}</h5>
                            <p class="card-text">Award ID: {{ $result['Award ID'] }}</p>
                            <p class="card-text">Start Date: {{ $result['Start Date'] }}</p>
                            <p class="card-text">End Date: {{ $result['End Date'] }}</p>
                            <p class="card-text">Award Amount: ${{ number_format($result['Award Amount'], 2) }}</p>
                            {{-- Add more details as needed --}}
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
    </div>
@endsection