<!-- resources/views/spending/index.blade.php -->


<?php $__env->startSection('content'); ?>

<link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">

    <div class="flex">
        <!-- Left Column: Filters -->
        <div class="w-3/12 p-4">
            <!-- Filters Form -->
            <form action="<?php echo e(route('wave.spending.search')); ?>" method="post">
                <?php echo csrf_field(); ?>
                <!-- Award Type Checkboxes -->
                <div>
                    <label for="awardTypes" class="block font-bold mb-2">Award Types</label>
                    <?php $__currentLoopData = $awardTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <label class="inline-flex items-center">
                            <input type="checkbox" name="awardTypes[]" value="<?php echo e($type); ?>" class="mr-2">
                            <?php echo e($type); ?>

                        </label>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <!-- Tabs: Financial Year or Date Range -->
                <div class="mt-4">
                    <label class="block font-bold mb-2">Filter By</label>
                    <div class="flex space-x-4">
                        <label class="inline-flex items-center">
                            <input type="radio" name="filterBy" value="financialYear" checked class="mr-2">
                            Financial Year
                        </label>
                        <label class="inline-flex items-center">
                            <input type="radio" name="filterBy" value="dateRange" class="mr-2">
                            Date Range
                        </label>
                    </div>
                </div>

                <!-- Financial Year Checkboxes -->
                <div class="mt-4">
                    <label for="financialYears" class="block font-bold mb-2">Financial Years</label>
                    <?php $__currentLoopData = $financialYears; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $year): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <label class="inline-flex items-center">
                            <input type="checkbox" name="financialYears[]" value="<?php echo e($year); ?>" class="mr-2">
                            <?php echo e($year); ?>

                        </label>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>

                <!-- Keyword Textbox -->
                <div class="mt-4">
                    <label for="keyword" class="block font-bold mb-2">Keyword</label>
                    <input type="text" name="keyword" class="w-full p-2 border rounded-md" placeholder="Enter keyword">
                </div>

                <!-- Search Button -->
                <div class="mt-4">
                    <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Search</button>
                </div>
            </form>
        </div>

        <!-- Right Column: Results -->
        <div class="w-9/12 p-4">
            <!-- Results will be displayed here -->
            <?php echo $__env->yieldContent('results'); ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('theme::layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\wave\resources\views/themes/tailwind/spending/index.blade.php ENDPATH**/ ?>