<!-- resources/views/spending/index.blade.php -->


<?php $__env->startSection('content'); ?>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<!-- Include Tailwind CSS -->
<link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
<!-- Include Bootstrap CSS -->
<!-- <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"> -->
<!-- <link rel="stylesheet" href="https://t-datepicker.getqwerty.com/theme/css/t-datepicker.min.css">
<script src="https://t-datepicker.getqwerty.com/theme/js/t-datepicker.js"></script> -->

<style>
    .clamp-lines {
        display: -webkit-box;
        -webkit-box-orient: vertical;
        overflow: hidden;
        -webkit-line-clamp: 2; /* Number of lines to show */
    }

    .rounded-box {
        border: 1px solid #ddd;
        border-radius: 0.375rem;
        margin-left:10px;
        margin-right:10px;
    }
</style>

<div class="container mx-auto">
    <div class="mb-3">
        <form action="<?php echo e(route('wave.awards')); ?>" method="post" class="form-inline">
            <?php echo csrf_field(); ?>

            <!-- Filter Data Box -->
            <div class="rounded-md p-4 border mb-4 m-4">
                <h2 class="text-lg font-bold mb-2">Filter Contracts</h2>

                <div class="grid grid-cols-1 md:grid-cols-3 gap-4">
                    <!-- Award Type Checkboxes -->
                    <div class="rounded-box p-4 border">
                        <label for="awardTypes" class="block font-bold mb-2">Award Types</label>
                        <?php $__currentLoopData = $awardTypes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <label class="inline-flex items-center">
                                <input type="checkbox" name="awardTypes[]" value="<?php echo e($type); ?>" class="mr-2">
                                <?php echo e($type); ?>

                            </label>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>

                    <!-- Date fields -->
                    <div class="rounded-box p-4 border">
                        <label for="startDate" class="block font-bold mb-2">Start Date</label>
                        <input type="date" name="startDate" id="startDate" value="<?php echo e($request->startDate); ?>" class="form-input" placeholder="Select start date">

                        <label for="endDate" class="block font-bold mb-2 mt-4">End Date</label>
                        <input type="date" name="endDate" id="endDate" value="<?php echo e($request->endDate); ?>" class="form-input" placeholder="Select end date">
                    </div>

                    <!-- Keyword Textbox and Search Button -->
                    <div class="rounded-box p-4 border col-span-1">
                        <label for="keyword" class="block font-bold mb-2">Keyword</label>
                        <input type="text" name="keyword" value="<?php echo e($request->keyword); ?>" class="w-full p-2 mb-2 form-input" placeholder="Enter keyword">
                        <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded-md">Search</button>
                    </div>
                </div>
            </div>
        </form>
    </div>

    <?php if(isset($data)): ?>
        <div class="flex flex-wrap -mx-4">
            <?php $__currentLoopData = $data['results']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $result): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="w-full md:w-1/3 lg:w-1/3 xl:w-1/3 px-4 mb-4">
                    <div class="bg-white rounded-lg shadow-lg p-4 h-56 overflow-hidden">
                        <h5 class="text-lg font-bold mb-2"><?php echo e($result['Recipient Name']); ?></h5>
                        <p class="text-sm clamp-lines" title="<?php echo e($result['Description']); ?>">
                            <span class="font-bold">Description: </span><?php echo e($result['Description']); ?>

                        </p>
                        <p class="text-sm"><span class="font-bold">Awarding Agency: </span><?php echo e($result['Awarding Agency']); ?></p>
                        <p class="text-sm"><span class="font-bold">Start Date:</span> <?php echo e(date('m-d-Y', strtotime($result['Start Date']))); ?></p>
                        <p class="text-sm"><span class="font-bold">End Date:</span> <?php echo e(date('m-d-Y', strtotime($result['End Date']))); ?></p>
                        <p class="text-sm"><span class="font-bold">Award Amount: </span>$<?php echo e(number_format($result['Award Amount'], 0)); ?></p>
                        <p class="text-sm"><span class="font-bold">Amount in Millions:</span> $<?php echo e(number_format($result['Award Amount'] / 1000000, 2)); ?> million</p>
                        
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>
    <?php endif; ?>
</div>

<!-- <script type="text/javascript">
    $(document).ready(function(){
        $('.t-datepicker').tDatePicker({});
    });
</script>
 -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('theme::layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\wave\resources\views/themes/tailwind/awards/index.blade.php ENDPATH**/ ?>