<?php

namespace Wave\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use Carbon\Carbon;

class AwardsController extends Controller
{
    public function index(Request $request)
    {
/*         $data = "";
        // Default parameters
        $params = [
            'api_key' => '6x0wP1EPIhunV52y6Vdj75cRQgsGG9Sv8GSXaiv8', // Replace with your actual API key
            'limit' => 10,
            'postedFrom' => '11/13/2023',
            'postedTo' => '11/13/2023',
        ];

        // Update parameters based on the search form input
        if ($request->has('fromDate')) {
            $params['postedFrom'] = Carbon::createFromFormat('Y-m-d', $request->input('fromDate'))->format('m/d/Y');
        }

        if ($request->has('toDate')) {
            $params['postedTo'] = Carbon::createFromFormat('Y-m-d', $request->input('toDate'))->format('m/d/Y');
            $response = Http::get('https://api.sam.gov/opportunities/v2/search', $params);
            $data = $response->json();
        }

        // Add more conditions for other parameters

        // Make the API request

        //dump($params);exit;

        dump($data);
        dump($params);exit;
         return view('theme::user.contracts', ['data' => $data]); */


        // Set default filter values

        $awardTypes = ['Contracts', 'Contract IDVs', 'Grants', 'Direct Payments', 'Loans', 'Other'];
        $financialYears = range(date('Y'), 2000, -1);
        // 'start_date' => '2023-10-01',
        // 'end_date' => '2024-09-30',


        $defaultFilters = [
            'filters' => [
                'time_period' => [
                    [
                        'date_type' => 'new_awards_only',
                    ],
                ],
                'award_type_codes' => ['A', 'B', 'C', 'D'],
            ],
            'fields' => [
                'Award ID',
                'Recipient Name',
                'Start Date',
                'End Date',
                'Award Amount',
                'Total Outlays',
                'Description',
                'def_codes',
                'COVID-19 Obligations',
                'COVID-19 Outlays',
                'Infrastructure Obligations',
                'Infrastructure Outlays',
                'Awarding Agency',
                'Awarding Sub Agency',
                'Contract Award Type',
                'recipient_id',
                'prime_award_recipient_id',
            ],
            'page' => 1,
            'limit' => 60,
            'sort' => 'Award Amount',
            'order' => 'desc',
            'subawards' => false,
        ];

        // Merge default filters with the submitted filters (if any)
        $filters = array_merge_recursive($defaultFilters, $request->all());

        // If the form is submitted, process the API request
 // If the form is submitted, process the API request
 if ($request->isMethod('post')) {
    // Fetch data from the API based on the filters
    if (!empty($request->input('keyword'))) {
        $filters['filters']['keywords'] = [$request->input('keyword')];
    }

        // Dynamically set start and end dates in the 'time_period' array
        if (!empty($request->input('startDate')) && !empty($request->input('endDate'))) {
            $filters['filters']['time_period'] = [
                [
                    'start_date' => $request->input('startDate'),
                    'end_date' => $request->input('endDate'),
                    'date_type' => 'new_awards_only',
                ],
            ];
        }

$response = Http::post('https://api.usaspending.gov/api/v2/search/spending_by_award/', $filters);

    // Extract data from the response
    $data = $response->json(); // Assuming results is the key containing the data
//print_r($data);
//exit;
    // Manually paginate the data
   // $page = $filters['page'] ?? 1;
    //$perPage = $filters['limit'] ?? 60;
    //$data = new Paginator(array_slice($data, ($page - 1) * $perPage, $perPage), count($data), $perPage, $page);

    // Pass data and filters to the view
    return view('theme::awards.index', compact('data', 'filters', 'defaultFilters', 'awardTypes', 'financialYears','request'));
}

        // If the form is not submitted, just display the form
        return view('theme::awards.index', compact('defaultFilters','awardTypes','financialYears','request'));

}

    // public function index()
    // {
    //     $apiKey = '6x0wP1EPIhunV52y6Vdj75cRQgsGG9Sv8GSXaiv8'; // Replace with your actual API key
    //     $url = "https://api.sam.gov/opportunities/v2/search?api_key={$apiKey}&limit=10&postedFrom=11/13/2023&postedTo=11/13/2023";

    //     $response = Http::get($url);

    //     $data = $response->json();

    //     //return view('sam', ['data' => $data]);
    //     return view('theme::user.contracts', ['data' => $data]);

    // }
}
